Bug 1383844 - cjdns-18 is available
Summary: cjdns-18 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 00:10 UTC by Upstream Release Monitoring
Modified: 2016-11-06 03:19 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-25 20:21:26 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.42 KB, patch)
2016-10-12 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-10-12 00:10:44 UTC
Latest upstream release: 18
Current version/release in rawhide: 17.4-7.fc26
URL: https://github.com/cjdelisle/cjdns

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10117/

Comment 1 Upstream Release Monitoring 2016-10-12 00:11:29 UTC
Patching or scratch build for cjdns-17.4 failed.

Comment 2 Upstream Release Monitoring 2016-10-12 00:11:30 UTC
Created attachment 1209382 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-10-12 00:11:32 UTC
Patches were not touched. All were applied properly

Comment 4 Stuart D Gathman 2016-10-12 19:58:04 UTC
Build fails because v18 includes a private API of nacl:

crypto/Sign.c

#include "node_build/dependencies/cnacl/crypto_sign/ed25519/ref10/ge.h"
#include "node_build/dependencies/cnacl/crypto_sign/ed25519/ref10/sc.h"

Options are to use embedded nacl, or to work on finding equivalent public functionality.

Comment 5 Upstream Release Monitoring 2016-10-12 20:48:23 UTC
sdgathman's cjdns-18-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=809227

Comment 6 Upstream Release Monitoring 2016-10-15 21:04:36 UTC
sdgathman's cjdns-18-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=810101

Comment 7 Upstream Release Monitoring 2016-10-15 21:06:47 UTC
sdgathman's cjdns-18-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=810195

Comment 8 Fedora Update System 2016-10-16 23:53:03 UTC
cjdns-18-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99aa725ff8

Comment 9 Fedora Update System 2016-10-17 00:52:42 UTC
cjdns-18-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e4ad76ccf9

Comment 10 Fedora Update System 2016-10-17 08:19:01 UTC
cjdns-18-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-de574aa3e7

Comment 11 Fedora Update System 2016-10-17 08:51:19 UTC
cjdns-18-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01415cf819

Comment 12 Fedora Update System 2016-10-21 16:50:58 UTC
cjdns-18-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5bc1e9e946

Comment 13 Fedora Update System 2016-10-25 20:21:26 UTC
cjdns-18-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-10-25 23:50:29 UTC
cjdns-18-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-10-26 00:57:51 UTC
cjdns-18-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-11-06 03:17:20 UTC
cjdns-18-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-11-06 03:19:08 UTC
cjdns-18-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.